aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordancer <dancer>2002-12-15 03:57:31 +0000
committerdancer <dancer>2002-12-15 03:57:31 +0000
commitb250aa16c7d35005a50593d17884b6aa1309e57a (patch)
tree26c12e941b8ce39540b6b518b9eb2abd1f51748e
parentb910f228f4f5b45ea4203342a5b6f5077bd4d019 (diff)
downloadpbuilder-b250aa16c7d35005a50593d17884b6aa1309e57a.tar
pbuilder-b250aa16c7d35005a50593d17884b6aa1309e57a.tar.gz
+
+ * pbuilder-modules (pbuilder-options): modify the ordering of scripts so that + concurrent-build experience is more active.
-rw-r--r--ChangeLog5
-rw-r--r--debian/changelog7
-rw-r--r--pbuilder-modules4
3 files changed, 14 insertions, 2 deletions
diff --git a/ChangeLog b/ChangeLog
index e73f4cf..4a0e330 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2002-12-15 Junichi Uekawa <dancer@debian.org>
+
+ * pbuilder-modules (pbuilder-options): modify the ordering of scripts so that
+ concurrent-build experience is more active.
+
2002-12-13 Junichi Uekawa <dancer@debian.org>
* examples/D10tmp: fix error in script.
diff --git a/debian/changelog b/debian/changelog
index e78b7c3..28b866d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+pbuilder (0.54) UNRELEASED; urgency=low
+
+ * Fixed ordering of messages so that concurrent-building experience is
+ better.
+
+ -- Junichi Uekawa <dancer@debian.org> Sun, 15 Dec 2002 12:57:31 +0900
+
pbuilder (0.53) unstable; urgency=low
* update README, to fix mistakes in text. (closes: #172905)
diff --git a/pbuilder-modules b/pbuilder-modules
index 450089a..060c7a7 100644
--- a/pbuilder-modules
+++ b/pbuilder-modules
@@ -183,7 +183,6 @@ function extractbuildplace () {
if [ ! "${INTERNAL_BUILD_UML}" = "yes" ]; then
cleanbuildplace
echo "Building the build Environment"
- echo " -> extracting base tarball [${BASETGZ}]"
if ! mkdir -p "$BUILDPLACE"; then
echo "E: failed to build the directory to chroot"
exit 1
@@ -193,6 +192,7 @@ function extractbuildplace () {
sleep 10s
done
touch "${BASETGZ}.tmp"
+ echo " -> extracting base tarball [${BASETGZ}]"
if [ ! -f "$BASETGZ" ]; then
echo "E: failed to find $BASETGZ, have you done <pbuilder create> to create your base tarball yet?"
rm -f "${BASETGZ}.tmp"
@@ -253,7 +253,6 @@ function save_aptcache() {
function create_basetgz() {
# create base.tgz
- echo " -> creating base tarball [${BASETGZ}]"
(
if ! cd "$BUILDPLACE"; then
echo "Error: unexpected error in chdir to $BUILDPLACE" >&2
@@ -263,6 +262,7 @@ function create_basetgz() {
echo " -> Someone else has lock over ${BASETGZ}.tmp, waiting"
sleep 10s
done
+ echo " -> creating base tarball [${BASETGZ}]"
if ! tar cfz "${BASETGZ}.tmp" * ; then
echo " -> failed building base tarball"
rm -f "${BASETGZ}.tmp"